<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/23/2009 *
 * ===============                              Last change: 10/23/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : jackpot_functions.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Jackpot functions                                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Jackpot-Funktionen                               *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if


// Getter for jackpot points
function getJackpotPoints () {
	// Default is zero
	$jackpot = '0.00000';

	// Read them
	$result = SQL_QUERY("SELECT `points` FROM `{?_MYSQL_PREFIX?}_jackpot` WHERE `ok`='ok' LIMIT 1", __FUNCTION__, __LINE__);

	// Do we have an entry?
	if (SQL_NUMROWS($result) == 0) {
		// No, so create line
		SQL_QUERY("INSERT INTO `{?_MYSQL_PREFIX?}_jackpot` (`ok`, `points`) VALUES ('ok','0.00000')", __FUNCTION__, __LINE__);
	} else {
		// Read the line
		list($jackpot) = SQL_FETCHROW($result);
	}

	// Free result
	SQL_FREERESULT($result);

	// Return them
	return $jackpot;
}

// Adds points to the jackpot
function addPointsToJackpot ($points) {
	// Get jackpot points for dummy
	$jackpot = getJackpotPoints();

	// Update points
	SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_jackpot` SET `points`=`points`+%s WHERE `ok`='ok' LIMIT 1",
		array($points), __FUNCTION__, __LINE__);
}

// Subtracts points from the jackpot
function subtractPointsFromJackpot ($points) {
	// First failed
	$ret = '-1';

	// Get jackpot points for dummy
	$jackpot = getJackpotPoints();

	// Enougth points i jackpot?
	if ($jackpot >= $points) {
		// Update points when there are enougth points in jackpot
		SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_jackpot` SET `points`=`points`-%s WHERE `ok`='ok' LIMIT 1",
			array($points), __FUNCTION__, __LINE__);
		$ret = $jackpot - $points;
	} // END - if

	// Free memory
	SQL_FREERESULT($result);

	// Return the result
	return $ret;
}

// [EOF]
?>
